#pragma once

#include "CoreMinimal.h"
#include "EInventoryItemType.h"
#include "EPlayerRole.h"
#include "CharacterDescriptionStartingIventory.generated.h"

USTRUCT(BlueprintType)
struct FCharacterDescriptionStartingIventory
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EInventoryItemType SurvivorCategory;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EInventoryItemType KillerCategory;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString DecoratedKillerItemId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString DecoratedSurvivorItemId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString DecoratedSurvivorAddonId;

	UPROPERTY(EditAnywhere)
	uint32 Quantity;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool ShouldAutoEquip;

private:
	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	EPlayerRole _role;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	FString _itemDescriptionOnly;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	EInventoryItemType _category;

public:
	DEADBYDAYLIGHT_API FCharacterDescriptionStartingIventory();
};

FORCEINLINE uint32 GetTypeHash(const FCharacterDescriptionStartingIventory) { return 0; }
